Bug 784589 - Review Request: ii - IRC IT, simple FIFO based IRC client
Summary: Review Request: ii - IRC IT, simple FIFO based IRC client
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Volker Fröhlich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-01-25 13:43 UTC by Petr Šabata
Modified: 2012-02-14 09:10 UTC (History)
3 users (show)

Fixed In Version: ii-1.6-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-14 09:08:09 UTC
volker27: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Petr Šabata 2012-01-25 13:43:11 UTC
Spec URL: http://psabata.fedorapeople.org/pkgs/ii/ii.spec
SRPM URL: http://psabata.fedorapeople.org/pkgs/ii/ii-1.6-1.fc16.src.rpm
Description:
A minimalist FIFO and filesystem-based IRC client. It creates an IRC directory
tree with server, channel and nick name directories. In every directory a
FIFO in file and a normal out file is created.

Comment 1 Volker Fröhlich 2012-01-28 17:40:31 UTC
Please build verbosely by removing the @-sign from the compiler invocation.

"Public domain" is for query.sh?

Comment 2 Petr Šabata 2012-01-30 09:54:37 UTC
(In reply to comment #1)
> Please build verbosely by removing the @-sign from the compiler invocation.

Ok, I updated the package with
sed -i 's!@${CC}!${CC}!' Makefile

> "Public domain" is for query.sh?

Yes.

Comment 3 Volker Fröhlich 2012-01-31 00:11:06 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines. 
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.

I'm not sure about that one: Public domain is probably compatible (as with the GPL) and you can re-license it as MIT.

[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST Package must own all directories that it creates.
[-]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[-]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

Not silent, but nothing to worry about.

rpmlint ii-1.6-1.fc17.i686.rpm

ii.i686: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint ii-1.6-1.fc17.src.rpm

ii.src: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint ii-debuginfo-1.6-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/media/speicher1/makerpm/784589/ii-1.6.tar.gz :
  MD5SUM this package     : ca183a993690cbe3b78edd1bc8c8bed5
  MD5SUM upstream package : ca183a993690cbe3b78edd1bc8c8bed5

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[-]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.

There are none

[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.

The manpage looses its original timestamp.

[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint ii-1.6-1.fc17.i686.rpm

ii.i686: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint ii-1.6-1.fc17.src.rpm

ii.src: W: spelling-error %description -l en_US filesystem -> file system, file-system, systemically
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


rpmlint ii-debuginfo-1.6-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Generated by fedora-review 0.1.2
External plugins:

Comment 4 Petr Šabata 2012-01-31 09:37:20 UTC
(In reply to comment #3)
> (snip)
>
> [!]: MUST License field in the package spec file matches the actual license.
> 
> I'm not sure about that one: Public domain is probably compatible (as with the
> GPL) and you can re-license it as MIT.

'Public domain' is okay according to Fedora licensing [1].  I, as a distributor, don't plan to re-license upstream content.  Let's leave that to users.
 
> (snip)
>
> [x]: MUST Rpmlint output is silent.
> 
> Not silent, but nothing to worry about.

I've changed the spelling to 'file-system' since I had done other changes to upstream description too (like letter case).

> (snip)
>
> [?]: SHOULD Package functions as described.

It does -- try it, it's fun :)

> (snip)
> 
> [!]: SHOULD Packages should try to preserve timestamps of original installed
>      files.
> 
> The manpage looses its original timestamp.

Fixed.

--
[1] http://fedoraproject.org/wiki/Licensing

Comment 5 Volker Fröhlich 2012-02-02 23:32:08 UTC
Please always bump the release number and create a changelog entry when you change something. It's a lot easier for reviewers.

While I'm sure the license of query.sh is free, it is not "Public domain", saying "Do whatever you want".

Could you just clarify that case on the Fedora legal mailing list for the sake of correctness?

== APPROVED ==

Comment 6 Petr Šabata 2012-02-03 09:01:23 UTC
(In reply to comment #5)
> Please always bump the release number and create a changelog entry when you
> change something. It's a lot easier for reviewers.

Oh, I was just blindly assuming everybody uses git or some other versioning system.  I'll try next time.

> While I'm sure the license of query.sh is free, it is not "Public domain",
> saying "Do whatever you want".

It's not?

> Could you just clarify that case on the Fedora legal mailing list for the sake
> of correctness?

Yes, I'll do that.

> == APPROVED ==

Thank you.

Comment 7 Petr Šabata 2012-02-03 09:10:43 UTC
New Package SCM Request
=======================
Package Name: ii
Short Description: IRC IT, simple FIFO based IRC client
Owners: psabata
Branches: f15 f16
InitialCC:

Comment 8 Gwyn Ciesla 2012-02-03 13:01:36 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2012-02-03 13:42:29 UTC
ii-1.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ii-1.6-1.fc16

Comment 10 Fedora Update System 2012-02-03 13:42:47 UTC
ii-1.6-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/ii-1.6-1.fc15

Comment 11 Fedora Update System 2012-02-04 05:27:35 UTC
ii-1.6-1.fc15 has been pushed to the Fedora 15 testing repository.

Comment 12 Fedora Update System 2012-02-14 09:08:09 UTC
ii-1.6-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2012-02-14 09:10:33 UTC
ii-1.6-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.